--- a/cmake/ETLBuildMod.cmake
+++ b/cmake/ETLBuildMod.cmake
@@ -190,7 +190,7 @@
 	)
 endif()
 
-if(NOT BUILD_MOD_PK3 AND BUILD_CLIENT_MOD)
+if(BUILD_CLIENT_MOD)
 	install(TARGETS cgame ui
 		RUNTIME DESTINATION "${INSTALL_DEFAULT_MODDIR}/${MODNAME}"
 		LIBRARY DESTINATION "${INSTALL_DEFAULT_MODDIR}/${MODNAME}"
@@ -212,7 +212,7 @@
 	add_custom_command(
 		OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${MODNAME}/${MODNAME}_${ETL_CMAKE_VERSION_SHORT}.pk3
 		COMMAND ${CMAKE_COMMAND} -E copy_directory ${CMAKE_CURRENT_SOURCE_DIR}/etmain ${CMAKE_CURRENT_BINARY_DIR}/${MODNAME}
-		COMMAND ${CMAKE_COMMAND} -E tar c ${CMAKE_CURRENT_BINARY_DIR}/${MODNAME}/${MODNAME}_${ETL_CMAKE_VERSION_SHORT}.pk3 --format=zip $<TARGET_FILE_NAME:cgame> $<TARGET_FILE_NAME:ui> ${ETMAIN_FILES_SHALLOW_REL}
+		COMMAND ${CMAKE_COMMAND} -E tar c ${CMAKE_CURRENT_BINARY_DIR}/${MODNAME}/${MODNAME}_${ETL_CMAKE_VERSION_SHORT}.pk3 --format=zip ${ETMAIN_FILES_SHALLOW_REL}
 		DEPENDS cgame ui ${ETMAIN_FILES}
 		WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/${MODNAME}/
 		VERBATIM
